# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 11;
BEGIN { use_ok('MOI::Logger') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

use Data::Dumper;

my $log = MOI::Logger->new();
ok(ref $log eq 'MOI::Logger', 'creating logger');


ok($log->add(File => { filename => '/tmp/testmoi.log', name => 'moi' } ) == '1', 'creating backend');

$log->logger('HELLO WORLD', INFO);
ok(1, 'logger info to log');

$log->logger(Dumper($log));
ok(1, 'dumper data to log');

ok(0 == $log->del('moi'), 'deleting backend');
$log->logger('XXXX', INFO);

ok(-e '/tmp/testmoi.log', 'test for logfile');
unlink('/tmp/testmoi.log');


ok( $log->add(File => { 
                     name      => 'moi',
                     filename  => '/tmp/moitest.log',
                     fileperm  => '0644',
                     maxsize   => 10000000,
                     channel   => INFO|NOTICE|WARNING|ERR|CRIT|ALERT|EMERG
                   },
           File => {
                     name      => 'debug',
                     filename  => '/tmp/debugtest.log',
                     fileperm  => '0644',
                     maxsize   => 10000000,
                     channel   => DEBUG
                   } ) == 2, 'adding multiple backends');
$log->logger('hello world !', INFO);
ok(-e '/tmp/moitest.log', 'test for logfile 1');

$log->logger(Dumper($log));
ok(-e '/tmp/debugtest.log', 'test for logfile 2');

ok($log->delete_all_backends() == 0, 'delete all backends');

unlink('/tmp/moitest.log', '/tmp/debugtest.log');

## end 
