# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 7;
BEGIN { use_ok('MOI::Logger') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

use Data::Dumper;

my $log = MOI::Logger->new();
ok(ref $log eq 'MOI::Logger', 'creating logger');


ok($log->add(Std => { 
	name     => 'moi',
	stderr   => 0,
	channel  => DEBUG|INFO,
} ) == '1', 'creating backend');

$log->logger('HELLO WORLD', INFO);
ok(1, 'logger info to log');

$log->logger(Dumper($log));
ok(1, 'dumper data to log');

ok(0 == $log->del('moi'), 'deleting backend');

ok($log->delete_all_backends() == 0, 'delete all backends');

## end 
