# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw(no_plan);
BEGIN { use_ok('MOI::NetArt::Dada::Text') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

$MOI::LOG->add(Std => {} );

my $dada = MOI::NetArt::Dada::Text->new(debug => 1);

my $text = <<EOF;
      nodeType
           Retrun the node's type. The possible types are described in the libxml2 tree.h documentation. The return value of this function is a numeric
           value. Therefore it differst with the result of perl ref function.

       unbindNode
           Unbinds the Node from its siblings and Parent, but not from the Document it belongs to. If the node is not inserted into the DOM afterwards it
           will be lost after the programm terminated. From a low level view, the unbound node is stripped from the context it is and inserted into a (hid-
           den) document-fragment.

       removeChild
           This will unbind the Child Node from its parent $node. The function returns the unbound node. If oldNode is not a child of the given Node the
           function will fail.

       replaceChild
           Replaces the $oldNode with the $newNode. The $oldNode will be unbound from the Node. This function differs from the DOM L2 specification, in the
           case, if the new node is not part of the document, the node will be imported first.

       replaceNode
           This function is very similar to replaceChild(), but it replaces the node itself rather than a childnode. This is useful if a node found by any
           XPath function, should be replaced.

       appendChild
           The function will add the $childnode to the end of $node's children. The function should fail, if the new childnode is allready a child of $node.
           This function differs from the DOM L2 specification, in the case, if the new node is not part of the document, the node will be imported first.

       addSibling
           addSibling() allows to add an additional node to the end of a nodelist, defined by the given node.

       cloneNode
           cloneNode creates a copy of $node. Wether $deep is set to 1 (true) the function will copy all childnodes as well. If $deep is 0 only the current
           node will be copied.

       attributes
           This function returns all attributes assigned to the given node. if this function is called in scalar context, it will return a
           XML::LibXML::NodeList.

       parentNode
           Returns simply the Parent Node of the current node.

       nextSibling
           Returns the next sibling if any .

       previousSibling
           Analogous to getNextSibling the function returns the previous sibling if any.

       hasChildNodes
           If the current node has Childnodes this function returns TRUE (1), otherwise it returns FALSE (0, not undef).

       firstChild
           If a node has childnodes this function will return the first node in the childlist.
EOF

$dada->feed($text);

MOI::dumper($dada->{wordmap});

ok(eq_hash($dada->{wordmap},

		          {
		            'scalar' => {
		                          'context' => 1
		                        },
		            'document-fragment' => {
		                                     '.' => 1
		                                   },
		            'if' => {
		                      'the' => 3,
		                      'a' => 1,
		                      'any' => 2,
		                      'this' => 1
		                    },
		            'view' => {
		                        ',' => 1
		                      },
		            'stripped' => {
		                            'from' => 1
		                          },
		            'lost' => {
		                        'after' => 1
		                      },
		            'fail' => {
		                        '.' => 1,
		                        ',' => 1
		                      },
		            'childlist' => {
		                             '.' => 1
		                           },
		            'unbindNode' => {
		                              'Unbinds' => 1
		                            },
		            'simply' => {
		                          'the' => 1
		                        },
		            'nextSibling' => {
		                               'Returns' => 1
		                             },
		            'replaced' => {
		                            '.' => 1
		                          },
		            'but' => {
		                       'it' => 1,
		                       'not' => 1
		                     },
		            'possible' => {
		                            'types' => 1
		                          },
		            'and' => {
		                       'inserted' => 1,
		                       'Parent' => 1
		                     },
		            'TRUE' => {
		                        '(1)' => 1
		                      },
		            'of' => {
		                      'the' => 4,
		                      'perl' => 1,
		                      'a' => 1,
		                      '.' => 2,
		                      'children' => 1,
		                      'this' => 1
		                    },
		            'all' => {
		                       'childnodes' => 1,
		                       'attributes' => 1
		                     },
		            'found' => {
		                         'by' => 1
		                       },
		            'node' => {
		                        'to' => 1,
		                        'in' => 1,
		                        'will' => 3,
		                        'has' => 2,
		                        '.' => 4,
		                        'found' => 1,
		                        'is' => 4,
		                        'itself' => 1
		                      },
		            'is' => {
		                      'very' => 1,
		                      'a' => 1,
		                      'not' => 4,
		                      'useful' => 1,
		                      '0' => 1,
		                      'stripped' => 1,
		                      'allready' => 1,
		                      'and' => 1,
		                      'called' => 1,
		                      'set' => 1
		                    },
		            'previous' => {
		                            'sibling' => 1
		                          },
		            'L2' => {
		                      'specification' => 2
		                    },
		            'will' => {
		                        'copy' => 1,
		                        'add' => 1,
		                        'fail' => 1,
		                        'be' => 5,
		                        'unbind' => 1,
		                        'return' => 2
		                      },
		            'cloneNode' => {
		                             'creates' => 1,
		                             'cloneNode' => 1
		                           },
		            'appendChild' => {
		                               'The' => 1
		                             },
		            'it' => {
		                      'differst' => 1,
		                      'returns' => 1,
		                      'will' => 2,
		                      'belongs' => 1,
		                      'replaces' => 1,
		                      'is' => 1
		                    },
		            'part' => {
		                        'of' => 2
		                      },
		            'inserted' => {
		                            'into' => 2
		                          },
		            'Replaces' => {
		                            'the' => 1
		                          },
		            'siblings' => {
		                            'and' => 1
		                          },
		            'perl' => {
		                        'ref' => 1
		                      },
		            'replaceChild()' => {
		                                  ',' => 1
		                                },
		            'next' => {
		                        'sibling' => 1
		                      },
		            'a' => {
		                     'XML::LibXML::NodeList' => 1,
		                     '(hid-' => 1,
		                     'childnode' => 1,
		                     'child' => 2,
		                     'nodelist' => 1,
		                     'node' => 2,
		                     'copy' => 1,
		                     'numeric' => 1,
		                     'low' => 1
		                   },
		            'Retrun' => {
		                          'the' => 1
		                        },
		            'copy' => {
		                        'of' => 1,
		                        'all' => 1
		                      },
		            'similar' => {
		                           'to' => 1
		                         },
		            'FALSE' => {
		                         '(0' => 1
		                       },
		            'in' => {
		                      'scalar' => 1,
		                      'the' => 4
		                    },
		            'Node' => {
		                        'the' => 1,
		                        'of' => 1,
		                        'from' => 2,
		                        '.' => 1
		                      },
		            'replaceChild' => {
		                                'Replaces' => 1
		                              },
		            'parent' => {
		                          '.' => 1
		                        },
		            'removeChild' => {
		                               'This' => 1
		                             },
		            'copied' => {
		                          '.' => 1
		                        },
		            'only' => {
		                        'the' => 1
		                      },
		            'very' => {
		                        'similar' => 1
		                      },
		            'returns' => {
		                           'the' => 2,
		                           'TRUE' => 1,
		                           'FALSE' => 1,
		                           'all' => 1
		                         },
		            'value' => {
		                         'of' => 1,
		                         '.' => 1
		                       },
		            '(true)' => {
		                          'the' => 1
		                        },
		            'by' => {
		                      'the' => 1,
		                      'any' => 1
		                    },
		            'libxml2' => {
		                           'tree.h' => 1
		                         },
		            'differst' => {
		                            'with' => 1
		                          },
		            'additional' => {
		                              'node' => 1
		                            },
		            'type' => {
		                        '.' => 1
		                      },
		            'described' => {
		                             'in' => 1
		                           },
		            'The' => {
		                       'function' => 3,
		                       'will' => 1,
		                       'possible' => 1,
		                       'return' => 1
		                     },
		            'previousSibling' => {
		                                   'Analogous' => 1
		                                 },
		            'otherwise' => {
		                             'it' => 1
		                           },
		            'add' => {
		                       'the' => 1,
		                       'an' => 1
		                     },
		            'after' => {
		                         'the' => 1
		                       },
		            'programm' => {
		                            'terminated' => 1
		                          },
		            'specification' => {
		                                 ',' => 2
		                               },
		            '0' => {
		                     'only' => 1
		                   },
		            'low' => {
		                       'level' => 1
		                     },
		            'context' => {
		                           'it' => 1,
		                           ',' => 1
		                         },
		            'imported' => {
		                            'first' => 2
		                          },
		            'Analogous' => {
		                             'to' => 1
		                           },
		            'unbind' => {
		                          'the' => 1
		                        },
		            'replaceNode' => {
		                               'This' => 1
		                             },
		            'well' => {
		                        '.' => 1
		                      },
		            'as' => {
		                      'well' => 1
		                    },
		            'hasChildNodes' => {
		                                 'If' => 1
		                               },
		            'itself' => {
		                          'rather' => 1
		                        },
		            'From' => {
		                        'a' => 1
		                      },
		            'unbound' => {
		                           'from' => 1,
		                           'node' => 2
		                         },
		            'creates' => {
		                           'a' => 1
		                         },
		            'has' => {
		                       'Childnodes' => 1,
		                       'childnodes' => 1
		                     },
		            'addSibling' => {
		                              'addSibling()' => 1
		                            },
		            ',' => {
		                     'the' => 3,
		                     'otherwise' => 1,
		                     'it' => 1,
		                     'defined' => 1,
		                     'in' => 2,
		                     'should' => 1,
		                     'not' => 1,
		                     'but' => 2,
		                     'if' => 3
		                   },
		            'not' => {
		                       'undef)' => 1,
		                       'a' => 1,
		                       'from' => 1,
		                       'part' => 2,
		                       'inserted' => 1
		                     },
		            'children' => {
		                            '.' => 1
		                          },
		            'This' => {
		                        'function' => 4,
		                        'will' => 1,
		                        'is' => 1
		                      },
		            'allows' => {
		                          'to' => 1
		                        },
		            'its' => {
		                       'parent' => 1,
		                       'siblings' => 1
		                     },
		            'node\'s' => {
		                           'type' => 1
		                         },
		            '(0' => {
		                      ',' => 1
		                    },
		            '(1)' => {
		                       ',' => 1
		                     },
		            'ref' => {
		                       'function' => 1
		                     },
		            'level' => {
		                         'view' => 1
		                       },
		            'addSibling()' => {
		                                'allows' => 1
		                              },
		            'den)' => {
		                        'document-fragment' => 1
		                      },
		            'assigned' => {
		                            'to' => 1
		                          },
		            'attributes' => {
		                              'assigned' => 1,
		                              'This' => 1
		                            },
		            'with' => {
		                        'the' => 2
		                      },
		            'result' => {
		                          'of' => 1
		                        },
		            'XPath' => {
		                         'function' => 1
		                       },
		            'function' => {
		                            'differs' => 2,
		                            'will' => 4,
		                            'returns' => 4,
		                            'should' => 1,
		                            '.' => 1,
		                            ',' => 1,
		                            'is' => 3
		                          },
		            'Document' => {
		                            'it' => 1
		                          },
		            'into' => {
		                        'the' => 1,
		                        'a' => 1
		                      },
		            'case' => {
		                        ',' => 2
		                      },
		            'Parent' => {
		                          'Node' => 1,
		                          ',' => 1
		                        },
		            'undef)' => {
		                          '.' => 1
		                        },
		            'to' => {
		                      'getNextSibling' => 1,
		                      'the' => 3,
		                      '1' => 1,
		                      'add' => 1,
		                      'replaceChild()' => 1,
		                      '.' => 1
		                    },
		            'from' => {
		                        'the' => 5,
		                        'its' => 2
		                      },
		            'If' => {
		                      'the' => 2,
		                      'a' => 1,
		                      'is' => 1,
		                      'oldNode' => 1
		                    },
		            'documentation' => {
		                                 '.' => 1
		                               },
		            'allready' => {
		                            'a' => 1
		                          },
		            'called' => {
		                          'in' => 1
		                        },
		            'set' => {
		                       'to' => 1
		                     },
		            'DOM' => {
		                       'L2' => 2,
		                       'afterwards' => 1
		                     },
		            'child' => {
		                         'of' => 2
		                       },
		            'any' => {
		                       'XPath' => 1,
		                       '.' => 2
		                     },
		            'numeric' => {
		                           'value' => 1
		                         },
		            'afterwards' => {
		                              'it' => 1
		                            },
		            'firstChild' => {
		                              'If' => 1
		                            },
		            'an' => {
		                      'additional' => 1
		                    },
		            'the' => {
		                       'given' => 3,
		                       'next' => 1,
		                       'unbound' => 2,
		                       'function' => 3,
		                       'Document' => 1,
		                       'document' => 2,
		                       'case' => 2,
		                       'node' => 4,
		                       'Parent' => 1,
		                       'previous' => 1,
		                       'programm' => 1,
		                       'to' => 1,
		                       'current' => 3,
		                       '.' => 1,
		                       'context' => 1,
		                       'new' => 3,
		                       'Node' => 2,
		                       'node\'s' => 1,
		                       'first' => 1,
		                       'DOM' => 3,
		                       'Child' => 1,
		                       'childlist' => 1,
		                       'end' => 2,
		                       'libxml2' => 1,
		                       'with' => 1,
		                       'result' => 1
		                     },
		            'given' => {
		                         'Node' => 1,
		                         'node' => 2
		                       },
		            'Unbinds' => {
		                           'the' => 1
		                         },
		            'document' => {
		                            ',' => 2
		                          },
		            'childnode' => {
		                             '.' => 1,
		                             'is' => 1
		                           },
		            'oldNode' => {
		                           'is' => 1
		                         },
		            'parentNode' => {
		                              'Returns' => 1
		                            },
		            'useful' => {
		                          'if' => 1
		                        },
		            '1' => {
		                     '(true)' => 1
		                   },
		            'terminated' => {
		                              '.' => 1
		                            },
		            'new' => {
		                       'childnode' => 1,
		                       'node' => 2
		                     },
		            'this' => {
		                        'function' => 4
		                      },
		            'XML::LibXML::NodeList' => {
		                                         '.' => 1
		                                       },
		            'defined' => {
		                           'by' => 1
		                         },
		            'nodelist' => {
		                            ',' => 1
		                          },
		            'end' => {
		                       'of' => 2
		                     },
		            'rather' => {
		                          'than' => 1
		                        },
		            'be' => {
		                      'unbound' => 1,
		                      'copied' => 1,
		                      'replaced' => 1,
		                      'imported' => 2,
		                      'lost' => 1
		                    },
		            'nodeType' => {
		                            'Retrun' => 1
		                          },
		            'types' => {
		                         'are' => 1
		                       },
		            'are' => {
		                       'described' => 1
		                     },
		            'replaces' => {
		                            'the' => 1
		                          },
		            'getNextSibling' => {
		                                  'the' => 1
		                                },
		            'Returns' => {
		                           'the' => 1,
		                           'simply' => 1
		                         },
		            'sibling' => {
		                           'if' => 2
		                         },
		            'current' => {
		                           'node' => 3
		                         },
		            '.' => {
		                     'nodeType' => 1,
		                     'previousSibling' => 1,
		                     'addSibling' => 1,
		                     'This' => 3,
		                     'parentNode' => 1,
		                     'if' => 1,
		                     'If' => 3,
		                     'cloneNode' => 1,
		                     'replaceChild' => 1,
		                     'removeChild' => 1,
		                     'appendChild' => 1,
		                     'Therefore' => 1,
		                     'unbindNode' => 1,
		                     'replaceNode' => 1,
		                     'nextSibling' => 1,
		                     'Wether' => 1,
		                     'hasChildNodes' => 1,
		                     'attributes' => 1,
		                     'firstChild' => 1,
		                     'From' => 1,
		                     'The' => 5
		                   },
		            'should' => {
		                          'fail' => 1,
		                          'be' => 1
		                        },
		            'childnodes' => {
		                              'as' => 1,
		                              'this' => 1
		                            },
		            'first' => {
		                         '.' => 2,
		                         'node' => 1
		                       },
		            '(hid-' => {
		                         'den)' => 1
		                       },
		            'Therefore' => {
		                             'it' => 1
		                           },
		            'Child' => {
		                         'Node' => 1
		                       },
		            'than' => {
		                        'a' => 1
		                      },
		            'return' => {
		                          'the' => 1,
		                          'a' => 1,
		                          'value' => 1
		                        },
		            'tree.h' => {
		                          'documentation' => 1
		                        },
		            'differs' => {
		                           'from' => 2
		                         },
		            'Childnodes' => {
		                              'this' => 1
		                            },
		            'belongs' => {
		                           'to' => 1
		                         },
		            'Wether' => {
		                          'is' => 1
		                        }
		          }

), 'feed()');

ok($dada->get_word('lost') eq 'after', 'get_word()');

ok(eq_hash($dada->{wordmap}, 

		          {
		            'scalar' => {
		                          'context' => 1
		                        },
		            'document-fragment' => {
		                                     '.' => 1
		                                   },
		            'if' => {
		                      'the' => 3,
		                      'a' => 1,
		                      'any' => 2,
		                      'this' => 1
		                    },
		            'view' => {
		                        ',' => 1
		                      },
		            'stripped' => {
		                            'from' => 1
		                          },
		            'fail' => {
		                        '.' => 1,
		                        ',' => 1
		                      },
		            'childlist' => {
		                             '.' => 1
		                           },
		            'unbindNode' => {
		                              'Unbinds' => 1
		                            },
		            'simply' => {
		                          'the' => 1
		                        },
		            'nextSibling' => {
		                               'Returns' => 1
		                             },
		            'replaced' => {
		                            '.' => 1
		                          },
		            'but' => {
		                       'it' => 1,
		                       'not' => 1
		                     },
		            'possible' => {
		                            'types' => 1
		                          },
		            'and' => {
		                       'inserted' => 1,
		                       'Parent' => 1
		                     },
		            'TRUE' => {
		                        '(1)' => 1
		                      },
		            'of' => {
		                      'the' => 4,
		                      'perl' => 1,
		                      'a' => 1,
		                      '.' => 2,
		                      'children' => 1,
		                      'this' => 1
		                    },
		            'all' => {
		                       'childnodes' => 1,
		                       'attributes' => 1
		                     },
		            'found' => {
		                         'by' => 1
		                       },
		            'node' => {
		                        'to' => 1,
		                        'in' => 1,
		                        'will' => 3,
		                        'has' => 2,
		                        '.' => 4,
		                        'found' => 1,
		                        'is' => 4,
		                        'itself' => 1
		                      },
		            'is' => {
		                      'very' => 1,
		                      'a' => 1,
		                      'not' => 4,
		                      'useful' => 1,
		                      '0' => 1,
		                      'stripped' => 1,
		                      'allready' => 1,
		                      'and' => 1,
		                      'called' => 1,
		                      'set' => 1
		                    },
		            'previous' => {
		                            'sibling' => 1
		                          },
		            'L2' => {
		                      'specification' => 2
		                    },
		            'will' => {
		                        'copy' => 1,
		                        'add' => 1,
		                        'fail' => 1,
		                        'be' => 5,
		                        'unbind' => 1,
		                        'return' => 2
		                      },
		            'cloneNode' => {
		                             'creates' => 1,
		                             'cloneNode' => 1
		                           },
		            'appendChild' => {
		                               'The' => 1
		                             },
		            'it' => {
		                      'differst' => 1,
		                      'returns' => 1,
		                      'will' => 2,
		                      'belongs' => 1,
		                      'replaces' => 1,
		                      'is' => 1
		                    },
		            'part' => {
		                        'of' => 2
		                      },
		            'inserted' => {
		                            'into' => 2
		                          },
		            'Replaces' => {
		                            'the' => 1
		                          },
		            'siblings' => {
		                            'and' => 1
		                          },
		            'perl' => {
		                        'ref' => 1
		                      },
		            'replaceChild()' => {
		                                  ',' => 1
		                                },
		            'next' => {
		                        'sibling' => 1
		                      },
		            'a' => {
		                     'XML::LibXML::NodeList' => 1,
		                     '(hid-' => 1,
		                     'childnode' => 1,
		                     'child' => 2,
		                     'nodelist' => 1,
		                     'node' => 2,
		                     'copy' => 1,
		                     'numeric' => 1,
		                     'low' => 1
		                   },
		            'Retrun' => {
		                          'the' => 1
		                        },
		            'copy' => {
		                        'of' => 1,
		                        'all' => 1
		                      },
		            'similar' => {
		                           'to' => 1
		                         },
		            'FALSE' => {
		                         '(0' => 1
		                       },
		            'in' => {
		                      'scalar' => 1,
		                      'the' => 4
		                    },
		            'Node' => {
		                        'the' => 1,
		                        'of' => 1,
		                        'from' => 2,
		                        '.' => 1
		                      },
		            'replaceChild' => {
		                                'Replaces' => 1
		                              },
		            'parent' => {
		                          '.' => 1
		                        },
		            'removeChild' => {
		                               'This' => 1
		                             },
		            'copied' => {
		                          '.' => 1
		                        },
		            'only' => {
		                        'the' => 1
		                      },
		            'very' => {
		                        'similar' => 1
		                      },
		            'returns' => {
		                           'the' => 2,
		                           'TRUE' => 1,
		                           'FALSE' => 1,
		                           'all' => 1
		                         },
		            'value' => {
		                         'of' => 1,
		                         '.' => 1
		                       },
		            '(true)' => {
		                          'the' => 1
		                        },
		            'by' => {
		                      'the' => 1,
		                      'any' => 1
		                    },
		            'libxml2' => {
		                           'tree.h' => 1
		                         },
		            'differst' => {
		                            'with' => 1
		                          },
		            'additional' => {
		                              'node' => 1
		                            },
		            'type' => {
		                        '.' => 1
		                      },
		            'described' => {
		                             'in' => 1
		                           },
		            'The' => {
		                       'function' => 3,
		                       'will' => 1,
		                       'possible' => 1,
		                       'return' => 1
		                     },
		            'previousSibling' => {
		                                   'Analogous' => 1
		                                 },
		            'otherwise' => {
		                             'it' => 1
		                           },
		            'add' => {
		                       'the' => 1,
		                       'an' => 1
		                     },
		            'after' => {
		                         'the' => 1
		                       },
		            'programm' => {
		                            'terminated' => 1
		                          },
		            'specification' => {
		                                 ',' => 2
		                               },
		            '0' => {
		                     'only' => 1
		                   },
		            'low' => {
		                       'level' => 1
		                     },
		            'context' => {
		                           'it' => 1,
		                           ',' => 1
		                         },
		            'imported' => {
		                            'first' => 2
		                          },
		            'Analogous' => {
		                             'to' => 1
		                           },
		            'unbind' => {
		                          'the' => 1
		                        },
		            'replaceNode' => {
		                               'This' => 1
		                             },
		            'well' => {
		                        '.' => 1
		                      },
		            'as' => {
		                      'well' => 1
		                    },
		            'hasChildNodes' => {
		                                 'If' => 1
		                               },
		            'itself' => {
		                          'rather' => 1
		                        },
		            'From' => {
		                        'a' => 1
		                      },
		            'unbound' => {
		                           'from' => 1,
		                           'node' => 2
		                         },
		            'creates' => {
		                           'a' => 1
		                         },
		            'has' => {
		                       'Childnodes' => 1,
		                       'childnodes' => 1
		                     },
		            'addSibling' => {
		                              'addSibling()' => 1
		                            },
		            ',' => {
		                     'the' => 3,
		                     'otherwise' => 1,
		                     'it' => 1,
		                     'defined' => 1,
		                     'in' => 2,
		                     'should' => 1,
		                     'not' => 1,
		                     'but' => 2,
		                     'if' => 3
		                   },
		            'not' => {
		                       'undef)' => 1,
		                       'a' => 1,
		                       'from' => 1,
		                       'part' => 2,
		                       'inserted' => 1
		                     },
		            'children' => {
		                            '.' => 1
		                          },
		            'This' => {
		                        'function' => 4,
		                        'will' => 1,
		                        'is' => 1
		                      },
		            'allows' => {
		                          'to' => 1
		                        },
		            'its' => {
		                       'parent' => 1,
		                       'siblings' => 1
		                     },
		            'node\'s' => {
		                           'type' => 1
		                         },
		            '(0' => {
		                      ',' => 1
		                    },
		            '(1)' => {
		                       ',' => 1
		                     },
		            'ref' => {
		                       'function' => 1
		                     },
		            'level' => {
		                         'view' => 1
		                       },
		            'addSibling()' => {
		                                'allows' => 1
		                              },
		            'den)' => {
		                        'document-fragment' => 1
		                      },
		            'assigned' => {
		                            'to' => 1
		                          },
		            'attributes' => {
		                              'assigned' => 1,
		                              'This' => 1
		                            },
		            'with' => {
		                        'the' => 2
		                      },
		            'result' => {
		                          'of' => 1
		                        },
		            'XPath' => {
		                         'function' => 1
		                       },
		            'function' => {
		                            'differs' => 2,
		                            'will' => 4,
		                            'returns' => 4,
		                            'should' => 1,
		                            '.' => 1,
		                            ',' => 1,
		                            'is' => 3
		                          },
		            'Document' => {
		                            'it' => 1
		                          },
		            'into' => {
		                        'the' => 1,
		                        'a' => 1
		                      },
		            'case' => {
		                        ',' => 2
		                      },
		            'Parent' => {
		                          'Node' => 1,
		                          ',' => 1
		                        },
		            'undef)' => {
		                          '.' => 1
		                        },
		            'to' => {
		                      'getNextSibling' => 1,
		                      'the' => 3,
		                      '1' => 1,
		                      'add' => 1,
		                      'replaceChild()' => 1,
		                      '.' => 1
		                    },
		            'from' => {
		                        'the' => 5,
		                        'its' => 2
		                      },
		            'If' => {
		                      'the' => 2,
		                      'a' => 1,
		                      'is' => 1,
		                      'oldNode' => 1
		                    },
		            'documentation' => {
		                                 '.' => 1
		                               },
		            'allready' => {
		                            'a' => 1
		                          },
		            'called' => {
		                          'in' => 1
		                        },
		            'set' => {
		                       'to' => 1
		                     },
		            'DOM' => {
		                       'L2' => 2,
		                       'afterwards' => 1
		                     },
		            'child' => {
		                         'of' => 2
		                       },
		            'any' => {
		                       'XPath' => 1,
		                       '.' => 2
		                     },
		            'numeric' => {
		                           'value' => 1
		                         },
		            'afterwards' => {
		                              'it' => 1
		                            },
		            'firstChild' => {
		                              'If' => 1
		                            },
		            'an' => {
		                      'additional' => 1
		                    },
		            'the' => {
		                       'given' => 3,
		                       'next' => 1,
		                       'unbound' => 2,
		                       'function' => 3,
		                       'Document' => 1,
		                       'document' => 2,
		                       'case' => 2,
		                       'node' => 4,
		                       'Parent' => 1,
		                       'previous' => 1,
		                       'programm' => 1,
		                       'to' => 1,
		                       'current' => 3,
		                       '.' => 1,
		                       'context' => 1,
		                       'new' => 3,
		                       'Node' => 2,
		                       'node\'s' => 1,
		                       'first' => 1,
		                       'DOM' => 3,
		                       'Child' => 1,
		                       'childlist' => 1,
		                       'end' => 2,
		                       'libxml2' => 1,
		                       'with' => 1,
		                       'result' => 1
		                     },
		            'given' => {
		                         'Node' => 1,
		                         'node' => 2
		                       },
		            'Unbinds' => {
		                           'the' => 1
		                         },
		            'document' => {
		                            ',' => 2
		                          },
		            'childnode' => {
		                             '.' => 1,
		                             'is' => 1
		                           },
		            'oldNode' => {
		                           'is' => 1
		                         },
		            'parentNode' => {
		                              'Returns' => 1
		                            },
		            'useful' => {
		                          'if' => 1
		                        },
		            '1' => {
		                     '(true)' => 1
		                   },
		            'terminated' => {
		                              '.' => 1
		                            },
		            'new' => {
		                       'childnode' => 1,
		                       'node' => 2
		                     },
		            'this' => {
		                        'function' => 4
		                      },
		            'XML::LibXML::NodeList' => {
		                                         '.' => 1
		                                       },
		            'defined' => {
		                           'by' => 1
		                         },
		            'nodelist' => {
		                            ',' => 1
		                          },
		            'end' => {
		                       'of' => 2
		                     },
		            'rather' => {
		                          'than' => 1
		                        },
		            'be' => {
		                      'unbound' => 1,
		                      'copied' => 1,
		                      'replaced' => 1,
		                      'imported' => 2,
		                      'lost' => 1
		                    },
		            'nodeType' => {
		                            'Retrun' => 1
		                          },
		            'types' => {
		                         'are' => 1
		                       },
		            'are' => {
		                       'described' => 1
		                     },
		            'replaces' => {
		                            'the' => 1
		                          },
		            'getNextSibling' => {
		                                  'the' => 1
		                                },
		            'Returns' => {
		                           'the' => 1,
		                           'simply' => 1
		                         },
		            'sibling' => {
		                           'if' => 2
		                         },
		            'current' => {
		                           'node' => 3
		                         },
		            '.' => {
		                     'nodeType' => 1,
		                     'previousSibling' => 1,
		                     'addSibling' => 1,
		                     'This' => 3,
		                     'parentNode' => 1,
		                     'if' => 1,
		                     'If' => 3,
		                     'cloneNode' => 1,
		                     'replaceChild' => 1,
		                     'removeChild' => 1,
		                     'appendChild' => 1,
		                     'Therefore' => 1,
		                     'unbindNode' => 1,
		                     'replaceNode' => 1,
		                     'nextSibling' => 1,
		                     'Wether' => 1,
		                     'hasChildNodes' => 1,
		                     'attributes' => 1,
		                     'firstChild' => 1,
		                     'From' => 1,
		                     'The' => 5
		                   },
		            'should' => {
		                          'fail' => 1,
		                          'be' => 1
		                        },
		            'childnodes' => {
		                              'as' => 1,
		                              'this' => 1
		                            },
		            'first' => {
		                         '.' => 2,
		                         'node' => 1
		                       },
		            '(hid-' => {
		                         'den)' => 1
		                       },
		            'Therefore' => {
		                             'it' => 1
		                           },
		            'Child' => {
		                         'Node' => 1
		                       },
		            'than' => {
		                        'a' => 1
		                      },
		            'return' => {
		                          'the' => 1,
		                          'a' => 1,
		                          'value' => 1
		                        },
		            'tree.h' => {
		                          'documentation' => 1
		                        },
		            'differs' => {
		                           'from' => 2
		                         },
		            'Childnodes' => {
		                              'this' => 1
		                            },
		            'belongs' => {
		                           'to' => 1
		                         },
		            'Wether' => {
		                          'is' => 1
		                        }
		          }

), 'wordmap after get_word()');

ok($dada->give_dada('.'), 'give_dada()');

ok($dada->get_random_word(), 'get_random_word()');
