# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw(no_plan);
BEGIN { use_ok('MOI::NetArt::Dada::LibXMLnodes') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

#$MOI::LOG->add(Std => {} );

use XML::LibXML;

my $getnode = 0;
START:
my $dada = MOI::NetArt::Dada::LibXMLnodes->new(debug => 1);
ok($dada, 'new()') unless $getnode;
MOI::dumper($dada) unless $getnode;

my $p   = XML::LibXML->new();
my $doc = $p->parse_html_string(<<EOF);
<html><head><title>Hello World !</title></head>
<body>
<h1>Hello ...</h1>... to all ya !!
<h1>Bye ...</h1>... cu !!
<h1>more ...</h1>... more test text ...
<hr>
</body></html>
EOF
foreach my $n ( $doc->findnodes("descendant::*"), 
                $doc->findnodes("descendant::text()") ) {
	$dada->feed($n);
}

#MOI::dumper($dada) unless $getnode;

ok(eq_hash($dada->{namemap}, {
                            'h1' => {
                                    'XML::LibXML::Text' => 3
                                  },
                            'body' => {
                                      'h1' => 3,
                                      'p' => 3,
                                      'hr' => 1
                                    },
                            'p' => {
                                   'XML::LibXML::Text' => 3
                                 },
                            'head' => {
                                      'title' => 1
                                    },
                            'html' => {
                                      'body' => 1,
                                      'head' => 1
                                    },
                            'XML::LibXML::Document' => {
                                                         'html' => 1
                                                       },
                            'title' => {
                                       'XML::LibXML::Text' => 1
                                     }
 }), 'feeded namemap');

#MOI::dumper(keys %{$dada->{nodebase}});

# can't compare the raw nodebase, so I will check the keys ...
ok(eq_set([ keys %{ $dada->{nodebase} } ], [
                          'h1',
                          'head',
                          'body',
                          'p',
                          'html',
                          'hr',
                          'title',
                          'XML::LibXML::Text'
                        ]), 'feeded nodebase keys');

if ($getnode) {
	my $gdoc = $dada->give_dada();
	ok(eq_hash($dada->{namemap}, {}), 'namemap after give_dada()');
	ok(eq_set([ keys %{ $dada->{nodebase} } ], []), 'nodebase keys after give_dada()');
} else {
	my $t = $dada->get_node('head');
	ok(eq_hash($dada->{namemap}, {
	                            'h1' => {
	                                    'XML::LibXML::Text' => 3
	                                  },
	                            'body' => {
	                                      'h1' => 3,
	                                      'p' => 3,
	                                      'hr' => 1
	                                    },
	                            'p' => {
	                                   'XML::LibXML::Text' => 3
	                                 },
	                            'html' => {
	                                      'body' => 1,
	                                      'head' => 1
	                                    },
	                            'XML::LibXML::Document' => {
	                                                         'html' => 1
	                                                       },
	                            'title' => {
	                                       'XML::LibXML::Text' => 1
	                                     }
	 }), 'namemap after get_node()');
	
	ok(eq_set([ keys %{ $dada->{nodebase} } ], [
	                          'h1',
	                          'head',
	                          'body',
	                          'p',
	                          'html',
	                          'hr',
	                          'XML::LibXML::Text'
	                        ]), 'nodebase keys after get_node()');
	
	$getnode = 1;
	goto START;
}
