# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw(no_plan);
BEGIN { use_ok('MOI::NetArt::Generator::SearchEngine') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

use LWP::UserAgent;

my $ua =  LWP::UserAgent->new( agent => 'MyZilla', env_proxy => 1 );

$MOI::LOG->add(Std=>{});

my $se = MOI::NetArt::Generator::SearchEngine->new(
	useragent => $ua,
	cfg => {
		AltaVista => {},
		Yahoo     => {},
		default   => {
			new_options => { 
				maximum_to_retrieve => 10,
				search_debug        =>  0,
			} 
		}
	},
	debug => 1,
);
ok($se, 'new() - backends as HASHref');
ok($se->query('NetArt Generator', qw(AltaVista)), 'query()');
ok($se->fetch_result(7), 'fetch_result(7)');

$se = MOI::NetArt::Generator::SearchEngine->new(
	useragent => $ua,
	cfg  => 'examples/search_backends.cfg',
	debug => 1,
);
ok($se, 'new() - backends as file');
ok($se->query('NetArt Generator'), 'query()');
ok($se->fetch_result(7), 'fetch_result(7)');
