# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw(no_plan);
BEGIN { use_ok('MOI::NetArt::Generator') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

#$MOI::LOG->add(Std=>{});

my $ng = MOI::NetArt::Generator->new(
    tidx                   => {'https://www.0n3.org/~leo/archiv/misc/elbing.html' => undef },
    search_maximum         => 10,
    test    => 1,
    debug   => 0);
ok(ref $ng eq 'MOI::NetArt::Generator', 'new');

#test getter 
ok($ng->title('DaDaDa') eq 'DaDaDa', 'set title');
ok($ng->title eq 'DaDaDa', 'get title');

ok($ng->outfile('/tmp/test.html') eq '/tmp/test.html', 'set outfile');
ok($ng->outfile eq '/tmp/test.html', 'get outfile');

ok($ng->debug(1) == 1, 'set debug');
ok($ng->debug == 1, 'get debug');

ok($ng->test('something') == 1, 'set test');
ok($ng->test == 1, 'get test');

ok($ng->offline_dir('./somedir') eq './somedir', 'set offline_dir');
ok($ng->offline_dir() eq  './somedir', 'get offline_dir');

ok(eq_hash($ng->search_cfg({ AltaVista => {} }), { AltaVista => {} }), 'set search_cfg');
ok(eq_hash($ng->search_cfg(), { AltaVista => {} }), 'get search_cfg');

ok(eq_array($ng->search_backends([qw(AltaVista)]), [qw(AltaVista)]), 'set search_backends');
ok(eq_array($ng->search_backends(), [qw(AltaVista)]), 'get search_backends');

ok($ng->max_doc_size(222 * 1024) == 222 * 1024, 'set max_doc_size');
ok($ng->max_doc_size() == 222 * 1024, 'get max_doc_size');

my $ret = $ng->useragent({ agent => 'ME' });
ok(ref $ret eq 'LWP::UserAgent', 'set useragent');
ok($ret->agent eq 'ME', 'set useragent 2');

$ret = $ng->xmlparser({ keep_blanks => 0 });
ok(ref $ret eq 'XML::LibXML', 'set xmlparser');
ok($ret->keep_blanks == 0, 'set xmlparser 2');

$ret = $ng->dadatext( {} );
ok(ref $ret eq 'MOI::NetArt::Dada::Text', 'set dadatext');

$ret = $ng->dadanodes( {} );
ok(ref $ret eq 'MOI::NetArt::Dada::LibXMLnodes', 'set dadanodes');
