# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw(no_plan);
BEGIN { use_ok('MOI::NetArt::Generator') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

#$MOI::LOG->add(Std=>{});

my $ng = MOI::NetArt::Generator->new(
	search_cfg             => {},
	search_backends        => [],
	offline_dir            => './offline_dir',
	test    => 1,
	debug   => 1);
ok(ref $ng eq 'MOI::NetArt::Generator', 'new');

my $ret = $ng->useragent({ agent => 'ME' });
ok(ref $ret eq 'LWP::UserAgent', 'set useragent');
ok($ret->agent eq 'ME', 'set useragent 2');

$ng->xmlparser( $ng->{xmlparser} );   # init libXML-parser

$ng->dadatext( $ng->{dadatext} );
$ng->dadanodes( $ng->{dadanodes} );

$ng->search_cfg( $ng->{search_cfg} );

$ret = $ng->_query_search_engine();
ok(ref $ret eq 'MOI::NetArt::Generator', 'query_search_engines without searchengines given');

$ret = $ng->_fetch_resources();
ok(ref $ret eq 'MOI::NetArt::Generator', 'fetch_resources without result');

$ret = $ng->_read_offline_dir();
ok($ret == 14, 'read_offline_dir');

$ret = $ng->_parse_docs();
ok(ref $ret eq 'MOI::NetArt::Generator', 'parse_docs');

$ret = $ng->_work_on_parsed_documents();
$ret = $ng->generate();
